Download it now!
Bug 98525 - FORMATTING Font change in style "Dimension Line" is not reflected in dimension lines already in drawing
Summary: FORMATTING Font change in style "Dimension Line" is not reflected in dimensio...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium minor
Assignee: Ulrich Gemkow
URL:
Whiteboard: target:5.4.0 target:5.3.0.1
Keywords:
Depends on:
Blocks: ImpressDraw-Styles
  Show dependency treegraph
 
Reported: 2016-03-08 17:48 UTC by Ulrich Gemkow
Modified: 2016-12-04 11:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Gemkow 2016-03-08 17:48:20 UTC
When changing the style "Dimension Line" (i.e. changing the font size), the dimension lines in a drawing are not changed according to the style change.

To reproduce:

- Create new drawing
- Add a dimension line (it receives the style "Dimension Line")
- modify the style "Dimension Line" (i.e. change font size"

The font of dimension lines alreaday in the drawing are not changed.

This is unexpected behaviour for style changes - the dimension lines should change according to the style change.
Comment 1 Buovjaga 2016-03-13 19:20:10 UTC
Reproduced.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.0.alpha0+
Build ID: 235411c9d47ecba88e46d859ea93bcecefb0c46e
CPU Threads: 8; OS Version: Linux 4.4; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on March 11th 2016
Comment 2 Ulrich Gemkow 2016-11-01 21:51:11 UTC
Further investigation shows that only font changes in the "Dimension line" style are not reflected in existing dimension lines.
Comment 3 Heiko Tietze 2016-11-03 09:38:47 UTC
Confirmed, style changes are stored but not applied; only direct formatting is possible. Guess it has not been implemented yet.

Version: 5.2.2.2.0+
Build ID: 5.2.2-2
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 4 Commit Notification 2016-11-28 06:47:43 UTC
Ulrich Gemkow committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae95f8b7b1b75d0e367db643ad82821ee371a84a

tdf#98525 Commit font style change to dimension line object

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-11-29 09:04:43 UTC
Ulrich Gemkow committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=482c655e30a121971076eaa52d5948e8c7988557&h=libreoffice-5-3

tdf#98525 Commit font style change to dimension line object

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.